#!/bin/bash -norc
set -x

if [ -z "$MOUNTPREFIX"]; then
	MOUNTPREFIX=/n/test
fi

BRANCH0=${MOUNTPREFIX}/b0
BRANCH1=${MOUNTPREFIX}/b1

if [ -z "$DEBUG" ]; then
	DEBUG=20
fi

rm -Rf $BRANCH0
mkdir -p $BRANCH0 $BRANCH1 $BRANCH2 $BRANCH3 $MOUNTPREFIX/testfs
# create top rules
#echo "G:0:*c:1:1:0,1" > $BRANCH0/.raif.rules
#echo "G:0:*c:1:1:0,1" > $BRANCH1/.raif.rules
#echo "G:0:*c:1:1:0,1" > $BRANCH2/.raif.rules

/sbin/insmod ./raif.ko || exit $?

mount -t ramfs none $BRANCH0

mount -t raif -o debug=${1:-$DEBUG},dirs=$BRANCH0:$BRANCH1 none ${MOUNTPREFIX}/testfs || exit $?

./raifctl add -d ${MOUNTPREFIX}/testfs "G:0:*:1:1:1"
./raifctl add -d ${MOUNTPREFIX}/testfs "G:0:*.tmp:1:1:0"
./raifctl add -d ${MOUNTPREFIX}/testfs "G:0:*.cmd:1:1:0"
./raifctl add -d ${MOUNTPREFIX}/testfs "G:0:*.o:1:1:0"
./raifctl add -d ${MOUNTPREFIX}/testfs "G:0:*.bz2:1:1:0"

exit 0
